/*****************************************************************************

  POPular -- A POP3 server and proxy for large mail systems

  $Id: ringd.h,v 1.4 2002/07/01 09:01:03 sqrt Exp $

  http://www.remote.org/jochen/mail/popular/

******************************************************************************

  Copyright (C) 1999-2002  Jochen Topf <jochen@remote.org>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA

*****************************************************************************/

#define RINGD_SOCK_FILE "/var/run/popular/ringd.sock"
#define RINGD_SOCK_UMASK 0117
#define RINGD_PRG_NAME "ringd"
#define RINGD_LOG_NAME "/var/log/popular/ringd"
#define RINGD_LOG_MODE 0644
#define RINGD_PID_FILE RINGD_PRG_NAME ".pid"
#define RINGD_PID_TEMPL RINGD_PRG_NAME ".%d.pid"

#define RINGD_DEFAULT_UID 110
#define RINGD_DEFAULT_GID 110

/* maximum number of open sockets */
#define RINGD_MAX_SOCK 100


/** THE END *****************************************************************/
