#!/bin/sh
#
# $FreeBSD: ports/mail/popular/files/pcheckd.sh.in,v 1.1 2005/08/30 14:09:24 pav Exp $
#

# PROVIDE: pcheckd
# REQUIRE: NETWORKING SERVERS
# BEFORE: DAEMON
# KEYWORD: shutdown

# /etc/rc.conf lines:
# pcheckd="YES"   # enable pcheckd
# pcheckd="pop"   # user for pcheckd

. /etc/rc.subr

name="pcheckd"
rcvar=`set_rcvar`

load_rc_config $name

: ${pcheckd="NO"}
: ${pcheckd="pop"}

command="/usr/local/sbin/pcheckd"
start_precmd="${name}_prestart"
extra_commands="reload"

pproxy_prestart()
{
	mkdir -p /var/log/popular
	chown ${pproxy_user} /var/log/popular
	mkdir -p /var/run/popular
	chown ${pproxy_user} /var/run/popular
}

run_rc_command "$1"
