/*****************************************************************************

  POPular -- A POP3 server and proxy for large mail systems

  $Id: ctrl.h,v 1.10 2002/11/28 13:56:03 sqrt Exp $

  http://www.remote.org/jochen/mail/popular/

******************************************************************************

  Copyright (C) 1999-2001  Jochen Topf <jochen@remote.org>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA

*****************************************************************************/


struct ctrl_cmd_dispatch_table {
  char *cmd_name;
  void (*cmd_handler)(char **, int, char*);
  int minarg, maxarg;
};


void control_command(int sock);

void init_config_vars(void);
void ctrl_cmd_backend(char *argv[], int argc, char *answer);
void ctrl_cmd_capa(char *argv[], int argc, char *answer);
void ctrl_cmd_debug(char *argv[], int argc, char *answer);
void ctrl_cmd_pdm(char *argv[], int argc, char *answer);
void ctrl_cmd_server(char *argv[], int argc, char *answer);
void ctrl_cmd_set(char *argv[], int argc, char *answer);
void ctrl_cmd_show(char *argv[], int argc, char *answer);
void ctrl_cmd_shutdown(char *argv[], int argc, char *answer);
void ctrl_cmd_vserv(char *argv[], int argc, char *answer);
void ctrl_cmd_prng(char *argv[], int argc, char *answer);


#define ANSWER0(t) { (void) strlcpy(answer, (t), MAXBUF); return; }

/* This doesn't work in older gccs :-(
#define ANSWERX(t, ...) { (void) snprintf(answer, MAXBUF, (t), __VA_ARGS__); return; }
*/

#define ANSWER1(t, a1) { (void) snprintf(answer, MAXBUF, (t), (a1)); return; }

#define ANSWER2(t, a1, a2) { (void) snprintf(answer, MAXBUF, (t), (a1), (a2)); return; }


/** THE END *****************************************************************/
